网页开发

星期一, 25 7月 2022 19:51

解决 Discuz!X3.4以下版本前台打开卡慢、后台登陆卡死或504错误等问题

Written by 
Rate this item
(0 votes)

discuz的新版本检测和补丁功能已经关闭,导致后台调用相关链接时超时,引起后台打不开

X3.4已经移除相关代码,没有此问题,建议升级


Comsenz 核心产品 Discuz! X3.4 正式版【2017-08-01】
http://www.discuz.net/thread-3825961-1-1.html
(出处: Discuz! 官方站)

懒得修改的可以直接安装免费插件解决:http://addon.discuz.com/?@freeaddon_killstuck.plugin

X3.4以下的版本解决办法
后台
打开:source/admincp/admincp_main.php

删除(大概在37-60行)

  1. if($_G['uid'] && $_G['member']['allowadmincp'] == 1 && ($_G['setting']['showpatchnotice'] == 1 || !isset($_G['cookie']['checkpatch']))) {
  2.         $discuz_patch = new discuz_patch();
  3.         if($_G['setting']['showpatchnotice'] == 1) {
  4.                 $notice = $discuz_patch->fetch_patch_notice();
  5.                 if($notice['data']) {
  6.                         $shownotice = '<div class="notice"><a href="'.$basescript.'?action=patch" id="notice">'.($notice['fixed'] ? $lang['patch_fix_complete'] : $lang['patch_fix_rigth_now']).'</a></div>';
  7.                 }
  8.         }
  9.         if(!isset($_G['cookie']['checkpatch'])) {
  10.                 $discuz_patch->check_patch();
  11.         }
  12. }
  13. if($_G['uid'] && $_G['member']['allowadmincp'] == 1 && !$shownotice && $_G['setting']['upgrade']) {
  14.         $shownotice = '<div class="notice"><a href="'.$basescript.'?action=upgrade" id="notice">'.$lang['upgrade_right_now'].'</a></div>';
  15. }
  16. if($_G['uid'] && $_G['member']['allowadmincp'] == 1 && !isset($_G['cookie']['checkupgrade'])) {
  17.         $discuz_upgrade = new discuz_upgrade();
  18.         if($discuz_upgrade->check_upgrade()) {
  19.                 if(empty($shownotice)) {
  20.                         $shownotice = '<div class="notice"><a href="'.$basescript.'?action=upgrade" id="notice">'.$lang['upgrade_right_now'].'</a></div>';
  21.                 }
  22.         }
  23.         dsetcookie('checkupgrade', 1, 7200);
  24. }
复制代码


前台也有影响管理员打开速度的
下载替换文件 source\module\misc\misc_patch.php

也就是只保留IP异常提醒的代码,用不到也可以删了

Read 46 times